package com.logicbig.example;

import java.util.Arrays;
import java.util.List;

public class ThemeInfo {
    public static final ThemeInfo DefaultThemeInfo =
            new ThemeInfo("metal-theme", "Metal Theme");
    private String themeName;
    private String displayName;

    public ThemeInfo(String themeName, String displayName) {
        this.themeName = themeName;
        this.displayName = displayName;
    }

    public static List<ThemeInfo> getAllThemes() {
        return Arrays.asList(
                new ThemeInfo("ocean-theme", "Ocean Theme"),
                DefaultThemeInfo
        );
    }

    public static ThemeInfo getThemeInfoByName(String themeName) {
        if (themeName == null) {
            return ThemeInfo.DefaultThemeInfo;
        }
        return getAllThemes().stream()
                             .filter(i -> i.getThemeName().equals(themeName))
                             .findAny().orElse(null);
    }

    public String getThemeName() {
        return themeName;
    }

    public void setThemeName(String name) {
        this.themeName = name;
    }

    public String getDisplayName() {
        return displayName;
    }

    public void setDisplayName(String displayName) {
        this.displayName = displayName;
    }
}